<template>
  <v-container
    id="regular-tables-view"
    fluid
    tag="section"
  >
    <default-search

      class="hidden-sm-and-down"
      @search="search"
    />
    <material-card
      icon="mdi-clipboard-text"
      icon-small
      title="Products Information"
      color="accent"
    >
      <v-simple-table>
        <thead>
          <tr>
            <th
              v-for="(item,index) in ProductProperties"
              :key="`key-${index}`"
              :class="{'text-right':index===financialProperties.length-1}"
            >
              {{ item }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="(item,index) in ProductsList"
            :id="index"
            :key="`key-${index}`"
            @click="gotoProductPage"
          >
            <th
              v-for="(value,index2) of item"
              :key="`key2-${index2}`"
              :class="{'text-right':index==='capital'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>

    <div class="py-3" />
  </v-container>
</template>

<script>
  import { showMyProducts } from '@/request/api.js'
  export default {
    name: 'FinancialProductsView',
    components: {
      DefaultSearch: () => import(
        /* webpackChunkName: "default-search" */
        '@/layouts/default/widgets/Search'
      ),
    },
    data () {
      return {
        // 创立一个properties1，用来设立这个表一共有多少列。
        // companyProperties: ['ID', 'CODE', 'NAME', 'CURRENCY', 'ASSET'],
        financialProperties: ['ID', 'NAME', 'DATE', 'ADDRESS', 'CAPITAL'],

        ProductProperties: ['Id', 'Provder', 'Code', 'Name', 'Currency', 'Asset',
                            'NetValue', '1month', '2month', '3month',
                            '4month', '5month', '6month', 'FundManager', 'CreateTime'],

        financialList: [{
          id: '1',
          name: '广发基金管理有限公司',
          date: '2003-08-05',
          address: '广州',
          capital: '14097.8万',
        }, {
          id: '2',
          name: '博时基金管理有限公司',
          date: '1998-07-13',
          address: '深圳',
          capital: '25000.0万',
        }, {
          id: '3',
          name: '永赢基金管理有限公司',
          date: '2013-11-07',
          address: '宁波',
          capital: '90000.0万',
        }, {
          id: '4',
          name: '大成基金管理有限公司',
          date: '1999-04-12',
          address: '深圳',
          capital: '20000.0万',
        }, {
          id: '5',
          name: '诺安基金管理有限公司',
          date: '2003-12-09',
          address: '深圳',
          capital: '15000.0万',
        }, {
          id: '6',
          name: '中欧基金管理有限公司',
          date: '2006-07-19',
          address: '上海',
          capital: '22000.0万',
        },
        ],

        ProductsList: [
          // {
          //   ProductId: 10000,
          //   productProvder: 11,
          //   productCode: 111,
          //   productName: '人寿',
          //   productCurrency: '人民币',
          //   productAsset: '规模',
          //   productNetValue: '净值',
          //   productFundManager: 'nobody',
          //   productCreateTime: '成立时间',
          // },
          // {
          //   ProductId: 10001,
          //   productProvder: 22,
          //   productCode: 222,
          //   productName: '人寿2',
          //   productCurrency: '人民币',
          //   productAsset: '规模',
          //   productNetValue: '净值',
          //   productFundManager: 'nobody',
          //   productCreateTime: '成立时间',
          // },
          // {
          //   ProductId: 10002,
          //   productProvder: 22,
          //   productCode: 222,
          //   productName: '人寿2',
          //   productCurrency: '人民币',
          //   productAsset: '规模',
          //   productNetValue: '净值',
          //   productFundManager: 'nobody',
          //   productCreateTime: '成立时间',
          // },
        ],
      }
    },
    // mounted: function () {
    //   // const params = [
    //   //   {
    //   //     ProductId: 10000,
    //   //     productProvder: 11,
    //   //     productCode: 111,
    //   //     productName: '人寿',
    //   //     productCurrency: '人民币',
    //   //     productAsset: '规模',
    //   //     productNetValue: '净值',
    //   //     productFundManager: 'nobody',
    //   //     productCreateTime: '成立时间',
    //   //   },
    //   //   {
    //   //     ProductId: 10001,
    //   //     productProvder: 22,
    //   //     productCode: 222,
    //   //     productName: '人寿2',
    //   //     productCurrency: '人民币',
    //   //     productAsset: '规模',
    //   //     productNetValue: '净值',
    //   //     productFundManager: 'nobody',
    //   //     productCreateTime: '成立时间',
    //   //   },
    //   //   {
    //   //     ProductId: 10005,
    //   //     productProvder: 22,
    //   //     productCode: 222,
    //   //     productName: '人寿2',
    //   //     productCurrency: '人民币',
    //   //     productAsset: '规模',
    //   //     productNetValue: '净值',
    //   //     productFundManager: 'nobody',
    //   //     productCreateTime: '成立时间',
    //   //   },
    //   // ]
    //   // this.ProductsList = params
    // },
    mounted: function () {
      const ProductProperties = []
      const userName = localStorage.getItem('UserName')
      showMyProducts({ userName }).then(resolve => {
        // console.dir(resolve[0].productId)
        resolve.pop()
        if (resolve.status === '404') {
          return undefined
        }
        this.ProductsList = resolve
        console.log(this.ProductsList)
        for (const property of Object.keys(resolve[0])) {
          ProductProperties.push(property)
        }
        // console.log(ProductProperties)
        this.ProductProperties = ProductProperties
      }).catch(err => {
        console.log(err)
      })
    },
    methods: {
      gotoProductPage: function (e) {
        // const productId = this.ProductsList[e.currentTarget.id].productId || 100001
        // this.$router.push({ path: '/enterprise/productDetail/', query: { productId } })
      },

      search: function (value) {
        console.log(value)
        this.ProductsList = this.ProductsList.filter(e => {
          return e.productName === value
        })
      },
    },

  }
</script>
